"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const data_with_position_1 = require("data-with-position");
const narrative_schema_common_1 = require("narrative-schema-common");
exports.default = (dataWithPosition, narrativeSchema) => {
    const stylingDataWithPosition = dataWithPosition.styling;
    const kindOfStylingDataWithPosition = data_with_position_1.getKind(stylingDataWithPosition);
    if (kindOfStylingDataWithPosition === "null" ||
        kindOfStylingDataWithPosition === "undefined") {
        return [];
    }
    if (kindOfStylingDataWithPosition !== "object") {
        narrativeSchema.message(`Expected styling to be an object, got ${kindOfStylingDataWithPosition}`, data_with_position_1.getPosition(stylingDataWithPosition), "narrative-schema:styling");
        return [];
    }
    const data = {};
    const kindOfCssLeaf = data_with_position_1.getKind(stylingDataWithPosition.css);
    if (kindOfCssLeaf === "null" ||
        kindOfCssLeaf === "undefined" ||
        kindOfCssLeaf === "string") {
        data.css = data_with_position_1.getValue(stylingDataWithPosition.css);
    }
    else {
        narrativeSchema.message(`Expected styling.css to be a string, got ${kindOfCssLeaf}`, data_with_position_1.getPosition(kindOfCssLeaf), "narrative-schema:styling");
        data.css = "";
    }
    narrative_schema_common_1.reportUnusedDataKeys(narrativeSchema, stylingDataWithPosition, data, [
        "styling",
    ]);
    if (data.css) {
        return [
            {
                dataWithPosition: stylingDataWithPosition,
                data,
                dataPath: ["styling", "css"],
            },
        ];
    }
    return [];
};
//# sourceMappingURL=extractDefinitions.js.map